# ALL.Net

ALL.Net, short for Amusement Linkage Live Network, is SEGA's standadised arcade game networking service. It handles cabinet authentication, billing, network-based game delivery, user management, and handoff to the game-specific title server where applicable.

The ALL.Net model is compresed of four networked services:

1. [Authentication. This is `naominet.jp`, and handles basic operations.](./auth)
2. [The billing service. This is `ib.naominet.jp`, and handles tracking and updating play counters.](./billing)
3. AiMeDB. This is `aime.naominet.jp`, and handles user management.
4. The title server. The URL for this is provided by ALL.Net, as different games use different services for this.

ALL.Net also handles core networking infrastructure. This is in the form of of a number of routers, some of which are VPN-connected.

Stores are provided a store (tenpo, 店舗) router which they install. The specific router provided to the store depends on the nature of their internet connection. The models typically provisioned are:

| Line type | Model          |
| --------- | -------------- |
| ISDN      | YAMAHA RTA52i  |
|           | YAMAHA RTA54i  |
|           | YAMAHA RT57i   |
|           | YAMAHA RT58i   |
| ^         | YAMAHA NVR500  |
| Mobile    | R240B          |
| ^         | YAMAHA RTX1200 |
| Broadband | YAMAHA RTX1000 |
|           | YAMAHA RTX1100 |
| ^         | YAMAHA RTX1200 |
| ADSL      | YAMAHA RTX1000 |
|           | YAMAHA RTX1100 |
| ^         | YAMAHA RTX1200 |
| Misc      | Cisco 851 K9   |
| ^         | Cisco 861 K9   |

This router will take the IP address `x.y.z.254`, which will be available at `tenporouter.loc` (handled by DNS spoofing on the router). Machines are assigned their IP addresses using DHCP, taking addresses from `x.y.z.10` through `x.y.z.200`, inclusive. Additionally, the router will be addressable at one additional hostname, dependenant on the line type:

| Line Type | Addtional Hostname |
| --------- | ------------------ |
| Mobile    | `mobirouter.loc`   |
| Broadband | `bbrouter.loc`     |
| ADSL      | `dslrouter.loc`    |

There are also a number of additional utility hostnames, spoilered due to their quantity.

<details>
    <summary>Additional hostnames</summary>
    <table>
        <thead>
            <tr><td>Hostname</td><td>IP Address</td></tr>
        </thead>
        <tbody>
            <tr><td><code>medalcom.loc</code></td><td><code>x.y.z.5</code></td></tr>
            <tr><td><code>allnet201.loc</code></td><td><code>x.y.z.201</code></td></tr>
            <tr><td><code>allnet202.loc</code></td><td><code>x.y.z.202</code></td></tr>
            <tr><td><code>allnet203.loc</code></td><td><code>x.y.z.203</code></td></tr>
            <tr><td><code>allnet204.loc</code></td><td><code>x.y.z.204</code></td></tr>
            <tr><td><code>allnet205.loc</code></td><td><code>x.y.z.205</code></td></tr>
            <tr><td><code>allnet206.loc</code></td><td><code>x.y.z.206</code></td></tr>
            <tr><td><code>allnet207.loc</code></td><td><code>x.y.z.207</code></td></tr>
            <tr><td><code>allnet208.loc</code></td><td><code>x.y.z.208</code></td></tr>
            <tr><td><code>allnet209.loc</code></td><td><code>x.y.z.209</code></td></tr>
            <tr><td><code>allnet210.loc</code></td><td><code>x.y.z.210</code></td></tr>
            <tr><td><code>allnet211.loc</code></td><td><code>x.y.z.211</code></td></tr>
            <tr><td><code>allnet212.loc</code></td><td><code>x.y.z.212</code></td></tr>
            <tr><td><code>allnet213.loc</code></td><td><code>x.y.z.213</code></td></tr>
            <tr><td><code>allnet214.loc</code></td><td><code>x.y.z.214</code></td></tr>
            <tr><td><code>allnet215.loc</code></td><td><code>x.y.z.215</code></td></tr>
            <tr><td><code>allnet216.loc</code></td><td><code>x.y.z.216</code></td></tr>
            <tr><td><code>allnet217.loc</code></td><td><code>x.y.z.217</code></td></tr>
            <tr><td><code>allnet218.loc</code></td><td><code>x.y.z.218</code></td></tr>
            <tr><td><code>allnet219.loc</code></td><td><code>x.y.z.219</code></td></tr>
            <tr><td><code>allnet220.loc</code></td><td><code>x.y.z.220</code></td></tr>
            <tr><td><code>allnet221.loc</code></td><td><code>x.y.z.221</code></td></tr>
            <tr><td><code>allnet222.loc</code></td><td><code>x.y.z.222</code></td></tr>
            <tr><td><code>allnet223.loc</code></td><td><code>x.y.z.223</code></td></tr>
            <tr><td><code>allnet224.loc</code></td><td><code>x.y.z.224</code></td></tr>
            <tr><td><code>allnet225.loc</code></td><td><code>x.y.z.225</code></td></tr>
            <tr><td><code>allnet226.loc</code></td><td><code>x.y.z.226</code></td></tr>
            <tr><td><code>allnet227.loc</code></td><td><code>x.y.z.227</code></td></tr>
            <tr><td><code>allnet228.loc</code></td><td><code>x.y.z.228</code></td></tr>
            <tr><td><code>allnet229.loc</code></td><td><code>x.y.z.229</code></td></tr>
            <tr><td><code>allnet230.loc</code></td><td><code>x.y.z.230</code></td></tr>
            <tr><td><code>allnet231.loc</code></td><td><code>x.y.z.231</code></td></tr>
            <tr><td><code>allnet232.loc</code></td><td><code>x.y.z.232</code></td></tr>
            <tr><td><code>allnet233.loc</code></td><td><code>x.y.z.233</code></td></tr>
            <tr><td><code>allnet234.loc</code></td><td><code>x.y.z.234</code></td></tr>
            <tr><td><code>allnet235.loc</code></td><td><code>x.y.z.235</code></td></tr>
            <tr><td><code>allnet236.loc</code></td><td><code>x.y.z.236</code></td></tr>
            <tr><td><code>allnet237.loc</code></td><td><code>x.y.z.237</code></td></tr>
            <tr><td><code>allnet238.loc</code></td><td><code>x.y.z.238</code></td></tr>
            <tr><td><code>allnet239.loc</code></td><td><code>x.y.z.239</code></td></tr>
        </tbody>
    </table>
</details>

The provided router connects to ALL.Net services using an IPSEC tunnel connected to `vpn1jpn.sys-all.net` and `vpn2jpn.sys-all.net`. That's where the details on the SEGA VPN end for hopefully obvious reasons.
