# Ring Series ASSY TEST

## What?
This is the testing tool used for self-checking RingWide, RingEdge and RingEdge2 PC systems. The automatic operation
    of the tool is controlled by a number of configuration files stored on a locally attached USB storage device.

## Known Versions

| Version | Dumped? | Notes                           |
| ------- | ------- | ------------------------------- |
| 0.18    | Yes     |                                 |
| 1.00    | Yes     |                                 |
| 1.02    | Yes     |                                 |
| 1.04    | Yes     | Only prefactorytest.exe changed |
| 1.10    | Yes     |                                 |
| 1.12    | Yes     |                                 |
| 1.14    | Yes     |                                 |
| 1.16    | Yes     |                                 |

## How can I help?

The factory testing tool is installed into the `patch1` partition. Very few Ring games utilise this partition, and the test tool is not uninstalled for some reason, meaning we can extract it from the drive!

To start with, we need to locate the [SEGA Boot Record]({{ROOT}}/sega/misc/partition.html) and check if we have SBSA present in `patch1`. While this could be done totally manually, it's a lot easier to use disk forensics software as it will handle partition identification for us. Pictured is FTK Imager (free), however Autopsy (free) and X-Ways (not free) are all viable options.

![]({{ROOT}}/images/factorytest-sbr.png)

Starting at 0x5c0, we can begin to read out the partition information. First is the game ID, `SBSA`. Following that, is the install timestamp. This is

```c
struct {
    uint16_t year;
    uint8_t month;
    uint8_t day;
    uint8_t hour;
    uint8_t minute;
    uint8_t second;
    uint8_t rsv;
}
```

The pictured example is `02 Apr 2010, 18:26:26`. The next four bytes are the version number. `04 00 01 00` here indicates version `1.04`.

If the version here is marked as dumped in the above table, then thank you for checking, but there's nothing new to find here! If it's not, then congratulations you've just found a new version! Let's get to dumping it!

The easiest way to proceed at this point is the extract the entire partition as a file. The partition we want is the second 2GiB partition. This is partition 7, however your software may have numbered it as partition 5.

The file we have created is a TrueCrypt volume. There is no password, and the keyfile is [`88D835E64133D13F6DBAA0FF9413AC9F`]({{ROOT}}/static/SBSA-00.key) (click to download).

![]({{ROOT}}/images/factorytest-tc1.png)
![]({{ROOT}}/images/factorytest-tc2.png)
![]({{ROOT}}/images/factorytest-tc3.png)

The files can now be copied from the chosen drive letter. **Please share them!**
